Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1679 (closed enhancement: invalid)

Opened 10 years ago

Last modified 6 years ago

Patch for AR2425 (AR5007EG) chipset

Reported by: madwifi@atheros.com Assigned to: proski
Priority: minor Milestone:
Component: madwifi: HAL Version: v0.9.3.3
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mentor)

This ticket is closed

The issues in this ticket have been superseded by the information in #1192.

As always, if you need to ask whether you should consult our regular support channels then you do, and not doing so will make the people that want to help you annoyed.

Attachments

2425-mad-trace-all-modes.tgz (1.1 MB) - added by anonymous on 01/12/08 17:35:02.
madwifi-trace trace on Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter [168c:001c]
dmesg.txt (15.7 kB) - added by beechhorn@gmail.com on 01/30/08 08:45:54.
DMESG dump from kernel 2.6.24.
I-did-not-read-the-ticket_madwifi-ng-r3365.ar2425.20080227.i386.patch (0.7 MB) - added by mentor on 06/22/08 02:30:45.
Atheros' AR2425 patch modified for SVN head (r3365)
I-did-not-read-the-ticket_madwifi-ng-0933.ar2425.20071130.i386.patch (0.7 MB) - added by mentor on 06/22/08 02:32:54.
Support AR5007EG (AR2425) chipset (32-bits x86 only)
I-did-not-read-the-ticket_madwifi-eee-2.6.24.patch (11.2 kB) - added by mentor on 06/22/08 02:35:44.
Changesets 2759, 2795, 2796, 2814, 2815, 2981, 3317, 3318 and 3319

Change History

(follow-up: ↓ 5 ) 12/01/07 03:34:43 changed by madwifi@atheros.com

Attachment viewing is slow due to size of the patch. Use following link to save patch directly on your disk.

madwifi.org/attachment/ticket/1679/madwifi-ng-0933.ar2425.20071130.i386.patch?format=raw

12/01/07 06:23:53 changed by quagga

Note, if you use the snapshot instead of .9.3.3 the patch will apply cleanly.

snapshots.madwifi.org/madwifi-ng/madwifi-ng-r2756-20071018.tar.gz

This is working beautifully on a ASUS EEE. Thank you atheros and madwifi :).

12/01/07 11:50:37 changed by nbd

Unfortunately this patch cannot be committed to madwifi, since it breaks the ABI for all non-i386 HAL binaries.

(in reply to: ↑ 1 ) 12/01/07 17:29:48 changed by anonymous

Replying to madwifi@atheros.com:

Attachment viewing is slow due to size of the patch. Use following link to save patch directly on your disk. madwifi.org/attachment/ticket/1679/madwifi-ng-0933.ar2425.20071130.i386.patch?format=raw

can you give us patch for non i386 system ?

12/01/07 20:10:56 changed by ilj

sec_ from #madwifi@irc.freenode.net confirmed that this patch can be used on i686 so, if you feel brave enough you can try and patch the madwifi source code.

12/01/07 20:14:00 changed by strasak@bubakov.net

i386 mean - all 32bit Intel and AMD x86 systems - from pentium 386 to core duo etc.

12/01/07 21:10:27 changed by kelmo

I don't give a fuck if the patch submitter has @atheros contained in name, is this the kind of patch we should be providing on our ticket system? A patch to a uuencoded binary?

12/01/07 22:08:34 changed by ilj

I own a Samsung R-20 X-002 machine with

05:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)

wifi device.

Using this patch and latest SVN code (snapshot taken on 20071201 ~23.00 GMT+2) didn't help to get it working.

Still no wifi0 and ath0 device after modprobing all the necessary ath_* modules.

12/01/07 22:20:12 changed by anonymous

Abit Airpace has the exact same PCI ID and chipset, so this patch might help it also (ref ticket #1255). But I'd still appreciate a patch for all platforms. I have airpace in an AMD64 machine.

12/01/07 23:28:43 changed by madwifi@atheros.com

This patch is for 32-bits x86 platforms including i686 and AMD CPUs (Thanks strasak!). This patch does not work for 64-bits x86 platforms.

This patch is for the Madwifi driver snapshot r2756 only. Sorry about the wrong information in the original posting.

To apply the patch

1. Download the Madwifi driver snapshot r2756 using the following link and save the file.

snapshots.madwifi.org/madwifi-ng/madwifi-ng-r2756-20071018.tar.gz

2. Extract this driver source and change into the driver directory.

prompt> tar -xvzf madwifi-ng-r2756-20071018.tar.gz
prompt> cd madwifi-ng-r2756-20071018/

3. Download the patch using the following link and save the file.

madwifi.org/attachment/ticket/1679/madwifi-ng-0933.ar2425.20071130.i386.patch?format=raw

4. Patch the Madwifi driver.

prompt> patch -p0 < madwifi-ng-0933.ar2425.20071130.i386.patch

5. Make and install this updated driver according the instructions in the "INSTALL" file from the madwifi package.

12/02/07 08:26:07 changed by kinaeng@gmail.com

I tested the patch file with svn version r2992 in Fedora 8. It work, but just want to inform that I have to blacklist ath5k module.

(follow-up: ↓ 14 ) 12/02/07 10:50:18 changed by kelmo

  • patch_attached deleted.

Hi,

Sorry to be the party pooper, but I am removing the patch from this ticket until we know the origin of it, and the patch submitter has contacted the developers of this project to co-ordinate the availability of this new code for public consumption.

Scott Raynel has attempted to contact the two mail addresses from Atheros on this ticket in order to receive more information about the situation.

It is, in our opinion, not very responsible to allow an unknown blob to be made available like this. We have no way of knowing what this blob does, and we never will, because its not transparent. But we do _need_ to be informed by the blob vendor what changes it brings.

Hope for understanding.

(in reply to: ↑ 13 ) 12/02/07 12:40:20 changed by mrenzmann

Replying to kelmo:

It is, in our opinion, not very responsible to allow an unknown blob to be made available like this. We have no way of knowing what this blob does, and we never will, because its not transparent. But we do _need_ to be informed by the blob vendor what changes it brings.

Not only that. If we apply patches to the HAL blob we got from our original HAL upstream, we divert from it and make it harder (if not impossible) to incorporate future updates from upstream (read: Sam). It's a similar issue as with the question of whether or not we should try to incorporate the HAL that comes with Asus' variant of MadWifi.

Bottom line: I second the objections to this practice. The only way to get AR5007 support into MadWifi is to make sure that our HAL upstream implements support for these chipsets in his sources and provides us with a updated binary.

(follow-up: ↓ 16 ) 12/03/07 12:50:52 changed by genneth _at_ gmail.com

It seems unnecessary to actually remove the patch -- especially since it's known to help in certain cases. Could the patch not stay up, but have a gigantic warning across it? Those of us who can legally use it and able too would appreciate a working system in the meantime until the proper fix surfaces.

(in reply to: ↑ 15 ) 12/03/07 13:36:29 changed by mrenzmann

Replying to genneth _at_ gmail.com:

It seems unnecessary to actually remove the patch... Could the patch not stay up...

The origin of the patch in question was doubtful, it didn't came through the channels we usually receive HAL updates from. The fact that the patch removes Sam's copyright notices from the patched files didn't help to make it look less suspicious.

In the past we had several incidents where users attached leaked HAL sources or other work that made use of illegally distributed files. Since we are responsible for stuff that is offered for download from our server and thus could probably be called to account for the distribution of "illegal files" it was necessary to remove the file. A big fat warning across the file obviously wouldn't have helped us if it turned out that the stuff was not kosher.

We have received feedback from other users stating that the removal of the file seems to them like an over-reaction. I hope the above helps to understand our rationales. We certainly would love to see AR5007 support in MadWifi rather sooner than later, but we have to make sure that this is done "the right way", without exposing ourselves to yet another series of claims about copyright infringements and thelike (even more now that we are working hard on ath5k). This should also be in the best interest of the users of our drivers, even if it means that AR5007 support gets delayed.

Last but not least: meanwhile it was approved that the patch was contributed by Atheros. We are currently talking to them about how to proceed in order to get AR5007 support into MadWifi properly (means: not just for i386, but for all platforms, to prevent ABI breakage). Please stay tuned, we will keep you updated.

12/03/07 15:09:58 changed by AR5007EG user =)

The patch works for me =) Thanks a lot madwifi team.

The only "problem" is in injection. In injection test works great, but when i try to send packets i got no luck :(

Any suggestion?

12/03/07 21:58:16 changed by mentor

This ticket isn't about injection.

12/04/07 22:50:51 changed by madwifi@atheros.com

After discussion with Madwifi team (Scott Raynel), the 32-bits x86 HAL attachment has been resubmitted. The attachment now has the appropriate copyright notice included.

Please follow instructions according to the comment:11

12/05/07 01:20:24 changed by mentor

Please note that support issues are handled through our regular support channels.

And: yay!

(in reply to: ↑ description ; follow-up: ↓ 24 ) 12/05/07 15:06:21 changed by anakin

don't work in backtrack2, originally the device is unknown and after patching madwifi..idem:(

(in reply to: ↑ 23 ) 12/05/07 15:11:53 changed by anonymous

Replying to anakin:

don't work in backtrack2, originally the device is unknown and after patching madwifi..idem:( hal status 3

(follow-up: ↓ 28 ) 12/06/07 00:49:56 changed by anonymous

Well, I tried the r2756 with the patch above cleanly applied. Followed the INSTALL instructions. Checked that the lspci -d 168c:001c indeed gives the correct device. uname -i reports GenuineIntel? This is with the official 2.6.23-gentoo-r3 kernel on 32bit Gentoo running on Core2 Duo.

Alas - same result as anakin (hal status 3).

(follow-up: ↓ 27 ) 12/06/07 23:20:36 changed by anonymous

hal status 3 here also.

Are we better off waiting for support in ath5k? Would this be far away?

(in reply to: ↑ 26 ) 12/08/07 10:55:32 changed by anonymous

Replying to anonymous:

hal status 3 here also. Are we better off waiting for support in ath5k? Would this be far away?

yes we would, but this patch is a helpful in terms of reverse engineering ...

(in reply to: ↑ 25 ) 12/09/07 00:11:53 changed by anonymous

Replying to anonymous:

Well, I tried the r2756 with the patch above cleanly applied. Followed the INSTALL instructions. Checked that the lspci -d 168c:001c indeed gives the correct device. uname -i reports GenuineIntel? This is with the official 2.6.23-gentoo-r3 kernel on 32bit Gentoo running on Core2 Duo. Alas - same result as anakin (hal status 3).

Update: got it working after thoroughly cleaning up previous modules and rebooting.

12/09/07 16:49:07 changed by cogumbreiro@gmail.com

I tried installing by downloading (1) and applying patch (2) to the source as specified in the description of the bug.

The driver loads up (by calling "modprobe ath_pci"), and then an interface 'wlan0' and an interface 'wifi0' are created. However, no AP are discovered.

Any idea how can I find out what's wrong? Do you want me to send the log.

One interesting fact is that this is the second laptop I have with this wireless card, both laptops are of the same model. The first one I configured wireless with ndiswrapper, this one I cannot get it to work neither with ndiswrapper nor with madwifi.

(1) snapshots.madwifi.org/madwifi-ng/madwifi-ng-r2756-20071018.tar.gz

(2) madwifi.org/attachment/ticket/1679/madwifi-ng-0933.ar2425.20071130.i386.patch?format=raw

12/13/07 00:31:31 changed by anonymous

I'm trying to use kismet, but no AP discovers. running on Atheros AR5BXB63 + suse 10.3

has anybody any idea why?

12/14/07 07:07:21 changed by anonymous

Since it is official, is there any hope for us 64-bit users to ditch ndiswrapper?

12/14/07 14:58:36 changed by anonymous

the patch does some manual hex patching of the files so maybe you should use the r2756 release as instructed.

I tested with that release and it works!

12/14/07 15:18:07 changed by strasak@bubakov.net

It should not matter, binary part of patch is for HAL and it is the same in 2756 and all more recent revisions at least. Here it works for example on madwifi-dfs branch.

12/16/07 03:05:03 changed by mrenzmann

A readily patched snapshot (means: a snapshot of r2756 plus the patch that adds AR5007 support to the i386 HAL) is now available for download.

Please, help to reduce the noise in this ticket and move all your support questions to our regular support channels. Thanks.

(follow-up: ↓ 57 ) 12/18/07 04:43:22 changed by mentor

Right, I've had to clear out the ticket. Again. Some of you clearly have issues following instructions, which does not bode well for your ability to use this patch, but it definitely does not bode well for your continued use of the ticket.

This is not a general support forum for the use of this patch, and it is definitely not a soap box. This ticket should be used for concise, general, and non-redundant information, not discussion. If in doubt, DO NOT POST.

For clarity, as I sometimes doubt there is, MadWiFi is an entirely separate entity to Atheros, which is none of: the owner, beneficial owner, nominee, trustee or any related or unrelated concept of ownership.

(in reply to: ↑ 56 ) 12/22/07 01:45:38 changed by anonymous

The wifi works great on my computer (Toshiba U305 - Gutsy Gibbon). However, it seems to have a bad interaction with the suspend to ram system. As the kernel in gutsy doesn't suspend properly on the toshiba, I am using the 2.6.24-2.4 kernel from Hardy which does suspend properly when the modules are not loaded. When they are loaded, attempting to suspend the computer kills the wifi connection and the computer is never suspended. The computer also fails to shutdown properly after a failed attempt to suspend it.

12/25/07 17:34:54 changed by anonymous

I believe the suspend to ram issues are related to the ATI drivers memory leak. Fixed in the latest release of the drivers from last Thursday.

(follow-up: ↓ 60 ) 01/11/08 09:31:54 changed by anonymous

When will/has this patch been incorporated into the version of MadWifi I can download from madwifi.org? I know I can get the patch and apply it myself (and get the kindly provided prepatched version!) but I'm just curious as to when I won't have to do that on a fresh install. Thanks.

(in reply to: ↑ 59 ; follow-up: ↓ 61 ) 01/11/08 10:00:58 changed by mrenzmann

Replying to anonymous:

When will/has this patch been incorporated into the version of MadWifi I can download from madwifi.org?

You obviously missed comment 55. However, if you are asking about when a new HAL version with AR5007 support will be available in a MadWifi release, the answer is: as soon as it's ready. Negotiations with Atheros in this regard are still in progress.

(in reply to: ↑ 60 ; follow-up: ↓ 62 ) 01/11/08 11:44:15 changed by anonymous

Replying to mrenzmann:

However, if you are asking about when a new HAL version with AR5007 support will be available in a MadWifi release, the answer is: as soon as it's ready. Negotiations with Atheros in this regard are still in progress.

Can you say by your experience how much time may it take? Will be a 64-bit version of the hal available during one-two monthes or it is better to me to sell my laptop?

(in reply to: ↑ 61 ) 01/11/08 12:21:20 changed by mrenzmann

Replying to anonymous:

Can you say by your experience how much time may it take?

Unfortunately not, sorry.

NB: rather than selling your laptop you could also replace your AR5007EG card by one that is based on the AR5006EG chipset.

01/12/08 17:35:02 changed by anonymous

  • attachment 2425-mad-trace-all-modes.tgz added.

madwifi-trace trace on Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter [168c:001c]

01/12/08 17:49:12 changed by anonymous

the trace was taken on :

02:00.0 Ethernet controller [0200]: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter [168c:001c] (rev 01)

Subsystem: AMBIT Microsystem Corp. Unknown device [1468:0428] Flags: fast devsel, IRQ 17 Memory at 8c000000 (64-bit, non-prefetchable) [size=64K] Capabilities: [40] Power Management version 2 Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable- Capabilities: [60] Express Legacy Endpoint IRQ 0 Capabilities: [90] MSI-X: Enable- Mask- TabSize?=1 Capabilities: [100] Advanced Error Reporting Capabilities: [140] Virtual Channel

(follow-up: ↓ 68 ) 01/23/08 01:30:39 changed by Need64bitSupport

I wouldn't mind using a limited feature temporary fix, if it could be done in a short timeframe, as long as it has support for 64bit OSes which some people must use. Seing as this bug has been going on for months I must ask, should I buy a new card, or should we wait?

(in reply to: ↑ 67 ) 01/23/08 05:56:49 changed by mrenzmann

Replying to Need64bitSupport:

should I buy a new card, or should we wait?

See comment 60 and comment 62.

01/23/08 11:15:27 changed by mrenzmann

  • description changed.

01/28/08 16:53:12 changed by anonymous

this patched driver does not work with IEEE 802.1X with Dynamic WEP Keys using EAP-PEAP/MSCHAPv2

using a recompiled wpa_supplicant v0.6.2 against this patched driver?

The hardware is

mini-pci AR5007EG eee asus pc

Any Ideas?

01/30/08 08:45:54 changed by beechhorn@gmail.com

  • attachment dmesg.txt added.

DMESG dump from kernel 2.6.24.

01/30/08 08:49:47 changed by beechhorn@gmail.com

Compiled this against 2.6.24 (not expecting it to work) however it does! Have attached a dmesg dump - just finding out if Atheros are being vocal about 5007 details - so that in an ideal work the 0.9.4 release would have support.

01/31/08 06:03:10 changed by mrenzmann

Please stop posting support requests to this already crowded ticket. They are expected to be carried to our regular support channels! All off-topic comments will be deleted from now on without further notice.

02/01/08 05:40:57 changed by anonymous

After some trouble initially manually patching a newer release, I uninstalled all madwifi builds and used the prepatched snapshot in the ticket description which worked perfectly with no issues (bye bye old cisco PCMCIA card :D :D). Please note that as explained in the ticket the ath5k module (if installed - it is on Fedora 8 and newer kernels I believe) needs to be blacklisted. Simply add blacklist ath5k to /etc/modprobe.conf

I do however have a question which I hope is classed as being in scope for this ticket (as per mrenzmann's coment above!) - can this patch be used with the latest snapshot and would there be any point in doing so? If so, would someone be able to create a prepatched version? I'd try it but after the trouble I have had I don't want to risk killing my config unless its worked for other people first!

Thanks.

02/03/08 16:47:22 changed by beechhorn@gmail.com

Added a new patch to remove dmesg errors in kernels 2.6.24+ - just copied the relevant changes from your existing changesets (searched for 2.6.24 in changesets). NOTE: Changesets 2814/5 add a trailing comma to the last parameter which causes and issue when you run patch-kernel/install.sh - the kernel fails to compile (using an ASUS eee with their Xandros 4 derivitive and GCC 4.1.2). Now to try the same with the power saving patches - keep up the good work!

02/06/08 12:48:05 changed by mrenzmann

From our IRC support channel:

12:45:52 < Tyczek> Just wanted to report that patch for atheros 5007 EG works with toshiba satellite a210-16f (it was reported as 5006 EG) :)

02/12/08 20:53:39 changed by mentor

  • description changed.

02/14/08 22:10:49 changed by migatxu

It works in a Toshiba A200 1NH with 2.6.23 kernel (Debian SID) with a 2.6.24-2 it doesn't compile (Debian SID)

02/15/08 09:56:15 changed by beechhorn@gmail.com

Migatxu - I've successfully compiled and used this (with the 2.6.24 patch) on kernel version 2.6.24.2.

02/15/08 11:45:23 changed by beechhorn@gmail.com

Omit the madwifi/ath/if_ath.c file from the patch as it is the packet injection part from aireplay-ng's patchset (my bad).

02/15/08 12:17:02 changed by mrenzmann

Sorry, I had to remove the patch, since it deleted the copyright notice from the patched HAL binary. We've been through that before.

02/17/08 01:12:06 changed by dodyrw@gmail.com

It work great in my toshiba u305. I was downloading the stable version, but get "HAL error 13".

But this patch work very nice. Just download this patch, then run make, make install. And restart ubuntu. That's it. It should be able to detect any AP.

Thanks!

(follow-up: ↓ 86 ) 02/20/08 06:04:00 changed by mrenzmann

Note that neither the patch nor the prepatched snapshot tarball compile against kernel 2.6.24. This is a known issue, so no need to report this here. As soon as an update is available, it will be announced here.

02/21/08 04:21:04 changed by zhenyu.z.wang@intel.com

Hi, mine is asus eeepc. I've seen weird thing with atheros by using madwifi version here. My pci id for atheros showed in 'lspci -n' is 168c:ff1b, which seems obviously wrong. And only once, when I boot up, r2756 ath_pci load correctly and my wifi got working, then pci id is 168c:001c, which is correct. I tried to reboot again, wifi failed to work again with weird ff1b ids. I also reset bios and enable wlan option, no help.

Is this issue known? any clue? thanks.

(in reply to: ↑ 84 ; follow-up: ↓ 87 ) 02/23/08 05:46:14 changed by anonymous

Replying to mrenzmann:

Note that neither the patch nor the prepatched snapshot tarball compile against kernel 2.6.24. This is a known issue, so no need to report this here. As soon as an update is available, it will be announced here.

I haven't found this to be the case. It's compiled and installed without problem for me in in Fedora's Rawhide, running various versions of 2.6.24 and 2.6.25. (However, an update tonight, to their kernel 2.6.25-0.54.rc2.fc9 doesn't work with it. It compiles and installs, but doing modprobe ath_pci hangs the system.)

The one I had before that, 2.25-0.48.rc1.git2.fc9 worked without problem.

It's also worked without issue in the Ubuntu alphas, 2.6.24.5-generic and 2.6.24-8.generic.

Lastly, it's worked without issue in Arch, kernel 2.6.24-ARCH.

(in reply to: ↑ 86 ) 02/23/08 14:29:31 changed by anonymous

Replying to anonymous:

Replying to mrenzmann:

Note that neither the patch nor the prepatched snapshot tarball compile against kernel 2.6.24. This is a known issue, so no need to report this here. As soon as an update is available, it will be announced here.

I haven't found this to be the case. It's compiled and installed without problem for me in in Fedora's Rawhide, running various versions of 2.6.24 and 2.6.25. (However, an update tonight, to their kernel 2.6.25-0.54.rc2.fc9 doesn't work with it. It compiles and installs, but doing modprobe ath_pci hangs the system.) The one I had before that, 2.25-0.48.rc1.git2.fc9 worked without problem. It's also worked without issue in the Ubuntu alphas, 2.6.24.5-generic and 2.6.24-8.generic. Lastly, it's worked without issue in Arch, kernel 2.6.24-ARCH.

To add to this, the next day's Fedora update, to 2.6.25-0.64.rc2.git5.fc9 works again.

02/24/08 21:31:53 changed by ilredil@yahoo.com

The patch couldn't be cleanly applied to 0.9.4, however the tarball compiled and worked fine. I'm using an acer 5050-3785 with the AR5BXB63 card. I'm using the linux 2.6.24 kernel, and have 64-bit support enabled (Processor type and features -> 64 bit Memory and IO resources). Also, this tarball seems to include injection support (which is awesome) for those who were wondering.

I did, however, get a lot of stacktraces in the logs from dmesg.

sysctl table check failed: /net/ath0/monitor_phy_errors .3.-2.-2 Unknown sysctl binary path
...
sysctl table check failed: /net/ath0/monitor_crc_errors .3.-2.-2 Missing strategy
...
sysctl table check failed: /net/ath0/monitor_crc_errors .3.-2.-2 Unknown sysctl binary path
...
sysctl table check failed: /net/ath0/%parent .3.-2.-2 Missing strategy
...
sysctl table check failed: /net/ath0/%parent .3.-2.-2 Unknown sysctl binary path
...
ath0: failed to register sysctls!
wifi0: Atheros 5424/2424: mem=0xb0200000, irq=11
sysctl table check failed: /dev/ath .7.9 Unknown sysctl binary path
...

If anyone is concerned with the above error message, you'll probably was to know this: grep -i sysctl /usr/src/linux-2.6.24/.config

CONFIG_SYSVIPC_SYSCTL=y
CONFIG_SYSCTL=y
CONFIG_SYSCTL_SYSCALL=y
CONFIG_PROC_SYSCTL=y

Personally, I'm not worried about the error messages; the card works, and that's what's most important to me. Thanks for your hard work guys! If you think the errors are worth tracking down, e-mail me and I'll get you whatever information you need.

02/25/08 10:04:41 changed by anonymous

thank you

02/25/08 21:25:58 changed by Darksurf

Does this work for the Atheros AR5007-AP edition? (using an asus M3A32-MVP Deluxe/+Wifi)

(follow-up: ↓ 92 ) 02/27/08 03:22:12 changed by anonymous

I'm not really sure where this goes, but after a lot of trial and error with other posts, I got the patched version working with my Compaq Presario f750US, Fedora Core 7-i386. As mentioned before lspci listed my card as AR5006EG.

(in reply to: ↑ 91 ) 02/27/08 05:48:25 changed by simmons.jimmy@gmail.com

Replying to anonymous:

I'm not really sure where this goes, but after a lot of trial and error with other posts, I got the patched version working with my Compaq Presario f750US, Fedora Core 7-i386. As mentioned before lspci listed my card as AR5006EG.

Sorry as a followup: This worked before I installed the nvidia driver, but failed after words. I think it had to do with the new kernel. I had to make a symlink for the new /build file for the new kernel as I was getting a KERNELPATH error:

ln -s /usr/src/kernels/`uname -r`-i686 /lib/modules/`uname -r`/build

This allowed me to make / make install the patched source again. My module still didn't show up so I blacklisted the ath5k module:

echo "blacklist ath5k" >> /etc/modprobe.d/blacklist

Then I rebooted and iwconfig recognized it. Woohoo!

02/28/08 04:34:26 changed by kevmif@yahoo.com

Has anyone verified the latest patch? I'm unable to try it at the moment but would like to know how much success others have had with it.

02/28/08 08:22:22 changed by beechhorn@gmail.com

Have just tried the latest r3365 patch and I get a HAL Status 13 message.

02/28/08 22:30:21 changed by lukassoftwares a t gmail.com

I've got a similar problem (laptop ASUS F3Ka ap031). Wifi module is detected as AR5006EG, rev 1. So far, I've tried several ways (ndiswrapper, madwifi, ath5k). However, best I was able to do was this status 13.

P.S. Sorry for my terrible english

02/29/08 07:35:21 changed by mrenzmann

  • description changed.

New prepatched tarball based on r3366 now available (see ticket description). This new tarball also compiles against kernel 2.6.24.

02/29/08 09:48:21 changed by beechhorn@gmail.com

Still getting HAL 13 with this r3365/6 - latest version I can get working is r3348 - something must of changed HAL wise between r3348 and r3365.

02/29/08 10:37:28 changed by beechhorn@gmail.com

The only differences I can see (beyond formatting/text) between r3348 and r3366 is in ath/if_ath.c and Minstrel (which I use).

02/29/08 14:31:12 changed by kevmif

Posting from a F8 machine running 2.6.24.2-7 VIA wireless!

Thankyou!

02/29/08 23:29:02 changed by anonymous

beechhorn@gmail.com: Did you try

echo "blacklist ath5k" >> /etc/modprobe.d/blacklist

(follow-up: ↓ 103 ) 03/01/08 00:26:37 changed by lukassoftwares a t gmail.com

anonymous: I've alredy tried this before. It's not the issue. dmesg: ath_hal: module license 'Proprietary' taints kernel. ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133) ... wlan: svn r3365 ath_pci: svn r3365 ... MadWifi: unable to attach hardware: 'Hardware revision not supported' (HAL status 13)

(x86_64 machine)

03/01/08 12:34:33 changed by beechhorn@gmail.com

I don't even have the ath5k module. Unless the binary blob is different - then the problem lies either in minstrel or ath/if_ath.c...

(in reply to: ↑ 101 ; follow-up: ↓ 104 ) 03/02/08 06:24:24 changed by FxChiP at Gmail dot com

Replying to lukassoftwares a t gmail.com:

anonymous: I've alredy tried this before. It's not the issue. dmesg: ath_hal: module license 'Proprietary' taints kernel. ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133) ... wlan: svn r3365 ath_pci: svn r3365 ... MadWifi: unable to attach hardware: 'Hardware revision not supported' (HAL status 13) (x86_64 machine)

The HAL has only been patched for 32-bit x86 (i.e. i386) machines at the moment; x86_64 will not work.

(in reply to: ↑ 103 ; follow-up: ↓ 108 ) 03/03/08 15:36:25 changed by anonymous

Replying to FxChiP at Gmail dot com:

The HAL has only been patched for 32-bit x86 (i.e. i386) machines at the moment; x86_64 will not work.

Why only 32-bit? What is wrong with x86_64?

(follow-up: ↓ 107 ) 03/04/08 04:33:57 changed by NutZ

I second the thoughts expressed by FxChiP. What about 64 bit? Keep in mind this card is usually sold with Athlon 64 based laptops. Is there a mailing list I can subscribe to for updates on this?

(follow-up: ↓ 110 ) 03/04/08 05:34:52 changed by ilredil@yahoo.com

For the record, the patch tarball I downloaded on 2/24 worked on my Acer, which has an AMD 64 in it. Model: AMD Turion(tm) 64 Mobile Technology MK-38. I get a ton of errors, as I mentioned above, but the driver functions properly. I'm using Slackware 12, custom kernel, and hal-0.5.9.1 (according to pkgtool). If you need tech support on this, please check the check regular support channels first (see link above). If you have a specific question about my system, you can e-mail me with a subject that is obviously not spam and I'll get back to you.

(in reply to: ↑ 105 ) 03/04/08 05:50:17 changed by mrenzmann

Replying to NutZ:

What about 64 bit?

It has all been said: only experimental support so far for 32bit, the usual platform support is work in progress. As soon as the current situation changes we will notify folks here in this ticket and elsewhere.

Once again: refrain from asking for updates here, and move all support requests (including thins like "help, that stuff doesn't compile!!1") to our regular support channels.

Is there a mailing list I can subscribe to for updates on this?

Resources

(in reply to: ↑ 104 ; follow-up: ↓ 111 ) 03/04/08 17:57:26 changed by FxChiP at Gmail dot com

For those with x86_64 machines: you guys can run x86 32-bit Linux distributions and apply this patch. That will work, and there won't be a significant (if any) performance hit for this. Everything will work pretty much the same, you just won't have the true 64-bitness -- and that essentially just means your numbers don't go quite as high. It also means you're susceptible to the Year 2038 problem, but hopefully the chipset support will be fixed for 64-bit by then. ;)

(in reply to: ↑ description ) 03/05/08 07:56:36 changed by b4u68k

Hello,

I get a Segmentation fault when removing the module 'ath_pci', by using either 'rmmod' or 'modprobe -r'. The interface ath0 is first brought down before unloading 'ath_pci'.

Then the system hangs on shutdown after the following messages:

'Killing all remaining processes...Failed.' 'Deconfiguring network interfaces...'

The OS is Debian sid with kernel 2.6.24 running on Asus EEE PC, and r2756 patched with madwifi-ng-0933.ar2425.20071130.i386.patch.

I'd like to post the segfault log (which only shows when 'modprobe -r ath_pci' is done in the "root terminal" before starting X, not in terminal emulators) but I can't record it (even with /usr/bin/script). I didn't find anything in /var/log/* neither.

Here's a testcase which leads to the segfault:

1) boot with wifi led turned of ('echo 0 > /proc/acpi/asus/wlan' before reboot) 2) login root without starting X 3) load pciehp module with option pciehp_force=1 ('modprobe pcihep pciehp_force=1') 4) turn on wifi: 'echo 1 > /proc/acpi/asus/wlan' 5) load ath_pci module: 'modprobe ath_pci' 6) remove ath_pci module: 'modprobe -r ath_pci' (Segmentation fault)

I can provide more if needed, thanks in advance for any help

(in reply to: ↑ 106 ) 03/07/08 13:37:22 changed by Frans

Replying to ilredil@yahoo.com:

For the record, the patch tarball I downloaded on 2/24 worked on my Acer, which has an AMD 64 in it. Model: AMD Turion(tm) 64 Mobile Technology MK-38. I get a ton of errors, as I mentioned above, but the driver functions properly. I'm using Slackware 12, custom kernel, and hal-0.5.9.1 (according to pkgtool). If you need tech support on this, please check the check regular support channels first (see link above). If you have a specific question about my system, you can e-mail me with a subject that is obviously not spam and I'll get back to you.

So are you using a 64-bit kernel or just a 64-bit processor with a i386 kernel?

(in reply to: ↑ 108 ; follow-up: ↓ 112 ) 03/10/08 09:55:36 changed by anonymous

Replying to FxChiP at Gmail dot com:

For those with x86_64 machines: you guys can run x86 32-bit Linux distributions and apply this patch. That will work, and there won't be a significant (if any) performance hit for this. Everything will work pretty much the same, you just won't have the true 64-bitness -- and that essentially just means your numbers don't go quite as high. It also means you're susceptible to the Year 2038 problem, but hopefully the chipset support will be fixed for 64-bit by then. ;)

Anybody have testing ? I'm tired to use my wifi dongle !

(in reply to: ↑ 111 ; follow-up: ↓ 113 ) 03/17/08 18:52:27 changed by anonymous

Replying to anonymous:

Anybody have testing ? I'm tired to use my wifi dongle !

I'm running a 32-bit Linux on a 64-bit machine and my AR5007EG works perfectly.

(in reply to: ↑ 112 ) 03/18/08 13:13:12 changed by Arkezis

Replying to anonymous:

Replying to anonymous:

Anybody have testing ? I'm tired to use my wifi dongle !

I'm running a 32-bit Linux on a 64-bit machine and my AR5007EG works perfectly.

All the other software works perfectly ? No danger ?

03/19/08 20:45:37 changed by jmiahman@gmail.com

I'm having issues with Suspend once the machine comes back from suspend my dmesg gets flooded with (slows down the machine) Unable to reset channel (HAL status 3222547558) and (HAL status 4148523360)

03/20/08 08:17:28 changed by anonymous

I'm running Gentoo 2.6.24-gentoo-r3 x86 on Asus Z99le (A8Le) and my AR5006EG (168c:001c) works perfectly with last patch (r3366).

03/22/08 04:14:07 changed by anonymous

No good with 2.6.24.3-34.fc8

Getting various invalid module errors when running modprobe :(

03/23/08 00:06:34 changed by anonymous

Upgraded to 2.6.24.3-50.fc8 and recompiled. Its all sweet again.

03/25/08 16:23:42 changed by lukassoftwares a t gmail.com

So is it or isn't it running on 64bit os?

03/25/08 22:37:10 changed by FxChiP

32-bit Intel x86 only; this can only run on 64-bit machines if the machine is running a 32-bit operating system. 64-bit operating systems are not supported

03/26/08 14:15:41 changed by anonymous

Worked like a charm with the latest kernel also

uname -a Linux localhost.localdomain 2.6.25-0.150.rc6.git7.fc9 #1 SMP Mon Mar 24 19:42:03 EDT 2008 i686 athlon i386 GNU/Linux

Can't wait til ath5k supports this. I heard that it will be in the final 2.6.25 - can anyone confirm?

04/03/08 02:34:08 changed by jebba

This on a 4G asus eeepc. This is using the ath5k driver, not madwifi, HAL, OpenHAL, etc. I hope this info helps you in your development.

2.6.24 kernel as a base (along with a number of other unrelated patches)

(spam prevents urls below...)

Updated wireless:

2008-04-02
linuxwireless dot org download compat-wireless-2.6 compat-wireless-2.6.tar.bz2

Then built ath5k from Nick Kossifidis tarball:

kernel dot org pub linux kernel people mickflemm ath5k-2425-test2.tar.bz2

I had to disable PM in kernel:

CONFIG_PM=no 

With the driver loaded dmesg

ath5k phy0: Atheros AR5418 chip found (MAC: 0xe2, PHY: 0x70)

More info with module loaded.

# lspci -d 168c:001c
01:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
# lspci -vvv
01:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: Unknown device 1a3b:1026
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 16 bytes
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at fbef0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express (v1) Legacy Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 512 bytes
                DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <512ns, L1 <64us
                        ClockPM- Suprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000
        Kernel driver in use: ath5k_pci
        Kernel modules: ath5k
# `lspci -vvv -d 168c:001c | grep Memory`
"Region 0: Memory at fbef0000"
# setpci -s 01:00.0 command=0x41f cache_line_size=0x10

From madwifi-nr-r3366+ar5007/tools/ath_info

# ath_info 0xfbef0000

Warning: Invalid EEPROM Magic number!
 -==Device Information==-
MAC Version:  2425  (0xe0)
MAC Revision: 2425  (0xe2)
PHY Revision: 5110  (0x00)
 -==EEPROM Information==-
EEPROM Version:     5.3
EEPROM Size:        4K
Regulatory Domain:  0x60
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: no   |
|  802.11g Support: yes  |
|  RFKill  Support: yes  |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00000000 DO 00000000 DI 00000003

I can see the device with iwconfig fine:

# iwconfig ath0
ath0      IEEE 802.11  ESSID:""  
          Mode:Managed  Frequency:2.412 GHz  Access Point: Not-Associated   
          Tx-Power=0 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B   
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

I can change the ESSID:

# iwconfig ath0 essid foo && iwconfig ath0 | grep ESSID && iwconfig ath0 essid bar && iwconfig ath0 | grep ESSID
ath0      IEEE 802.11  ESSID:"foo"  
ath0      IEEE 802.11  ESSID:"bar"  

I can change the channel:

# iwconfig ath0 channel 1 && iwconfig ath0 | grep Frequency && iwconfig ath0 channel 6 && iwconfig ath0 | grep Frequency
          Mode:Managed  Frequency:2.412 GHz  Access Point: Not-Associated   
          Mode:Managed  Frequency:2.437 GHz  Access Point: Not-Associated   

I can NOT change the mode, garr garr garr:

# iwconfig ath0 mode ad-hoc
Error for wireless request "Set Mode" (8B06) :
    SET failed on device ath0 ; Device or resource busy.

Scanning doesn't see anything (there is an open/advertised network here):

# iwlist ath0 scan
ath0      No scan results

04/03/08 10:42:18 changed by strasak@bubakov.net

Mode could be changed only by wlanconfig - by wlanconfig athX destroy ; wlanconfig ath create wlandev wifiX wlanmode adhoc - and/or by module parameter - aka autocreate=adhoc . Iwconfig is not able to change VAP mode.

04/03/08 13:59:48 changed by beechhorn@gmail.com

Brilliant that there is ath5k support.

However the code could do with some code modularisation (the MVG complexity goes up to 64 for some functions). Looking at the bottom of ath5k_hw_reset for instance there is a duplicate "if (ah->ah_version == AR5K_AR5212)" - combining the two reduced code complexity to 63. Is it worth me trying to modularise the code and if so where should patches be sent?

(follow-up: ↓ 126 ) 04/03/08 20:25:07 changed by strasak@bubakov.net

sorry, been confused by name of interface and have't read whole post - ath0 is typical for VAP, last time i tried ath5k it created wlanX devices - what i have written about wlanconfig is only true if you use madwifi

(in reply to: ↑ 125 ) 04/04/08 14:51:16 changed by jebba

Replying to strasak@bubakov.net:

sorry, been confused by name of interface and have't read whole post - ath0 is typical for VAP, last time i tried ath5k it created wlanX devices - what i have written about wlanconfig is only true if you use madwifi

In Fedora, udev changes the name of the device. From dmesg:

ath5k phy0: Atheros AR5418 chip found (MAC: 0xe2, PHY: 0x70)
udev: renamed network interface wlan0 to ath0

mickflemm reported in ath5k-devel that the radio isn't being turned on and he's working at it.

04/07/08 07:49:15 changed by mpalencia at mgcreaciones.com

I can confirm it works, my laptop is an acer aspire 4520, turion x2 1.6ghz, atheros 5007eg The older patches didnt work, but the current one, the 3366 works like a charm, much better than ndiswrapper which was giving me major headaches. Distro: ubuntu 804 beta

04/08/08 21:32:59 changed by giovanni

Works perfectly on Samsung R60+ running Hardy on latest official kernel 2.6.24-15, it used to give me some error messages on bootup and segfault when trying to manually unload the module, but the patch solved everything. Great work!

04/09/08 10:59:34 changed by alan-jenkins@tuffmail.co.uk

There are some reports that this doesn't "work perfectly" (thats what the hardware compatability page says :-). forum.eeeuser.com/viewtopic.php?id=18158

Apparently the patch here doesn't work as well on the ASUS EEEPC as either the binary driver from ASUS (included with the installed OS), or the windows driver (which can be run using ndiswrapper). Signal strength is reduced and the connection drops out.

My experience is also that the driver from the installed OS seemed to have better range; I have to stay closer to the router now I've reinstalled using r3366+ar5007.

Is this plausible, expected, known?

Looking forward to a working ath5k driver. Thanks for everything.

04/10/08 04:54:17 changed by ennis@witnessracing.com

Working on an Acer AL5100, the small form factor desktop.
Atheros 5007
AMD Athlon 64 X2 4200+
Fedora Core 6
Linux 2.6.18-1.2798.fc6

(follow-up: ↓ 132 ) 04/10/08 14:51:43 changed by wolleric

r3366+ar5007 is NOT working on my MSI VR610 notebook with the following 'lspci -v' output:

02:00.0 Ethernet Controller: Atheros Communications, Inc. Unknown device 001c (rev 01)

Subsystem: Unknown device 1a3b:1026 ...

Inserting the module gives the well-known 'Hardware didn't respond as expected' HAL status 3. Though not difficult, I just don't want to switch to ndiswrapper. :) Anyone got an idea?

(in reply to: ↑ 131 ) 04/10/08 15:05:23 changed by alan-jenkins@tuffmail.co.uk

Replying to wolleric:

r3366+ar5007 is NOT working on my MSI VR610 notebook with the following 'lspci -v' output: 02:00.0 Ethernet Controller: Atheros Communications, Inc. Unknown device 001c (rev 01)

I'm no dev, but you should probably try running ath_info (madwifi.org/wiki/UserDocs/AthInfo). If it works, the first few lines will help identify your chipset more reliably than lspci does.

04/10/08 15:07:15 changed by alan-jenkins@tuffmail.co.uk

Oops, bad link. Try this: UserDocs/AthInfo, or look it up manually.

(in reply to: ↑ description ) 04/13/08 02:54:03 changed by goldcroat@hotmail.com

Replying to madwifi@atheros.com:

I would like to report that this patch works perfectly on an Acer Aspire 3680-2682 marked as having a AR5BXB63 chip. Perhaps someone should redirect people in the compatibility page to this ticket?

Thanks a lot Madwifi crew!

04/14/08 08:37:40 changed by wolleric

Ok, this is the ouput of ath_info:

 -==Device Information==-
MAC Version:  2425  (0xe0)
MAC Revision: 2425  (0xe2)
Warning: Invalid EEPROM Magic number!
Device type:  3

/============== EEPROM Information =============\
| EEPROM Version:   5.3 | EEPROM Size:   4 kbit |
| EEMAP:              2 | Reg. Domain:     0x60 |
|================= Capabilities ================|
| 802.11a Support:  no  | Turbo-A disabled: yes |
| 802.11b Support:  no  | Turbo-G disabled: yes |
| 802.11g Support:  yes | 2GHz XR disabled: yes |
| RFKill  Support:  yes | 5GHz XR disabled: yes |
| 32KHz   Crystal:  no  |                       |
\===============================================/

04/16/08 14:46:46 changed by anonymous

The latest patched snapshot, r3366+ar5007 doesn't work as well for me as did the earlier one r2756+ar5007. On Fedora rawhide, the 3366 version kept losing connectivity. Going back to r2756 fixed the problem. This is an Acer Aspire 4720z.

Mandriva's "one" CD and probably the other non-free ones, now offer out of the box support for this card.

(follow-up: ↓ 138 ) 04/18/08 09:31:47 changed by wocis

success on: Acer Aspire 5715z (Dual Pentium T2310 @ 1.46GHz, chipset PM965 + ICH8)

distro: Ubuntu Hardy 8.04 latest beta kernel: 2.6.24-16

device id: 168c:001c (rev 01) used version: r2756 + patch

(in reply to: ↑ 137 ) 04/21/08 17:00:35 changed by anonymous

Replying to wocis:

success on: Acer Aspire 5715z (Dual Pentium T2310 @ 1.46GHz, chipset PM965 + ICH8) distro: Ubuntu Hardy 8.04 latest beta kernel: 2.6.24-16 device id: 168c:001c (rev 01) used version: r2756 + patch

have the same laptop and applied the same version + patch

did you have some freeze ? sometimes i have like a kernel panic, nothing respond and the caps lock led blink

some other times, when using amule a long time, network freeze, no more connection, no ping possible ... the solution : need to click on the network monitor applet and tell the wifi to reconnect to the Acces point

04/21/08 17:48:05 changed by alain57

well i don't know if this is normal, but lspci -v give me this

06:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
	Subsystem: AMBIT Microsystem Corp. Unknown device 0428
	Flags: bus master, fast devsel, latency 0, IRQ 19
	Memory at d4100000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 2
	Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
	Capabilities: [60] Express Legacy Endpoint IRQ 0
	Capabilities: [90] MSI-X: Enable- Mask- TabSize=1

and ath_info 0x4100000 this

Warning: Invalid EEPROM Magic number !
 -==Device Information==-
MAC Version:  5311A(0x20) 
MAC Revision: 5311A(0xe12b) 
PHY Revision: 5110 (0x0) 
 -==EEPROM Information==-
EEPROM Version:     9.6c8 
EEPROM Size:        8K
Regulatory Domain:  0x96C8 
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: no   |
|  802.11g Support: no   |
|  RFKill  Support: no   |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR f3fd2aa8 DO 4078376f DI f08e87f3


strange... there are "no" on each lines, but i currently use my wifi with r2756 + patch on ubuntu hardy

ps: last comment in reply to wocis was me too

(follow-up: ↓ 141 ) 04/22/08 00:02:14 changed by Martin

I tried to download the snapshot snapshots.madwifi.org/madwifi-ng/madwifi-ng-r2756-20071018.tar.gz but unfortunately the link is broker So I tried with the readily-patched snapshot (which link works), I tried with "make", at the beginning the program was unable to detect kernel version, so I replaced line

KERNELRELEASE := $(shell $(CC) -I $(KERNELPATH)/include -E $(TOP)/kernelversion.c | grep uts_release | cut -f2 -d'"') with KERNELRELEASE := /usr/src/linux-2.6.22.17-0.1 at that point exucuting again the program with "make" command I am having the following message:

Checking requirements... ok. Checking kernel configuration... FAILED Only kernel versions 2.4.x and above are supported. You have /usr/src/linux-2.6.22.17-0.1. make: *** [configcheck] Error 1

What can I do?

(in reply to: ↑ 140 ) 04/22/08 06:18:15 changed by mrenzmann

Replying to Martin:

I tried to download the snapshot ... but unfortunately the link is broker

The snapshot archive has been restructured yesterday, see here.

at the beginning the program was unable to detect kernel version, so I replaced line

You should not edit the Makefile until you know exactly what you do. The issue you describe is one that is not related to this ticket, so I have opened a new ticket (#1901) for it. Please follow up there.

04/22/08 14:40:09 changed by anonymous

Loaded the pre-compiled patch for ar5007eg on 8.04 rc1, This is on an Acer Extensa 5420 laptop. Works great! my wife is very happy!

thanks!

04/22/08 19:38:52 changed by ctrlaltca

Works under slamd64 (64 bit) with ndiswrapper 1.52 and the net5211 windows driver you can found at http: //www.freefilehosting.net/files/3blea (url obfuscated)

04/22/08 22:25:28 changed by professor

Does anyone know if the driver and the patch, can put the card in monitor mode, or is this a problem. I have tried with no sucess.

04/23/08 17:16:30 changed by anonymous

using Ubuntu Hardy, applied patch "madwifi-nr-r3366+ar5007" => it works -- BUT!!! I can't connect WPA-wise. Without security works flawless.

Any idea?

04/23/08 23:46:02 changed by Martin

openSuse 10.3 32 bit AMBIT Microsystem (by Atheros Communications) / AR5006EG

I downloaded snapshots.madwifi.org/madwifi-ng/madwifi-ng-r2756-20071018.tar.gz execute the comand make returned program execution that I get http: //madwifi.org/attachment/ticket/1679/terminal.pdf?format=raw

when executing the comand modprobe ath_pci a new blank command line is presented in the terminal running iwconfig I have l0 no wireless extensions. eth0 no wireless extensions.

nothing appears in the network devices apart from the wired lan card

04/25/08 13:51:57 changed by jgxenite+madwifi@gmail.com

Snapshot r3366+ar5007 worked fine for me on my Sony Vaio VGN-NR21J (with the AR5007EG chipset). Thanks very much for this!

04/26/08 07:02:10 changed by anonymous

here's the snapshot from the broken link... I think..

snapshots.madwifi.org/special/madwifi-ng-r2756+ar5007.tar.gz

04/27/08 17:37:21 changed by anonymous

Worked, I had to insert modules wlan_ccmp, ath_pci, ath_hal, wlan, wlan_scan_ap. wpa_supplicant wouldn't connect, killed everything, rmmod ath_pci, modprobe ath_pci, now I'm up. It connected much faster than ndiswrapper allowed.

05/02/08 09:37:50 changed by Andro

This patch works perfect. My hardware is a fujitsu-siemens Amilo P2540. I am using Fedora 8 and had two different kernels in the meantime and it works just great.

05/04/08 14:30:21 changed by DaRK

Just upgraded to ubuntu hardy was using gutsy with 2.6.22-14-generic, which worked perfectly and like usual after a kernel upgrade i have to reinstall the patched madwifi but now when every time i install it gnome has issues (freezes for a couple mins with an error about gnome settings manager, desktop hasn't loaded yet, then after a while everything starts up fine and works) Using 2.6.24-17-generic i believe this became available about 2 days ago and as far as i understand 2.6.24-16-generic didn't have any issues though haven't tested. Any ideas as to whats happening?

(follow-up: ↓ 154 ) 05/05/08 04:11:49 changed by kutjara

I just installed the latest Debian unstable kernel (2.6.25-1) and did my usual "make/make install" ritual with the prepatched "r3366" driver above (which has worked for me on every kernel since 2.6.22). Unfortunately, it's met it's match with .25, which threw up errors during the make process. I double-checked that I was using the correct version of build-essential and the appropriate kernel headers, was sure to "make clean" beforehand, but still no dice.

OK, the kernel I used is in the unstable Debian branch, so I'm hoping whatever's wrong will be fixed before it percolates through to the testing branch, but I just thought I'd add my two cents here.

05/05/08 08:07:15 changed by anonymous

I run rawhide.... 2.6.25 has been working fine for me since the RC versions.

(in reply to: ↑ 152 ) 05/06/08 06:28:42 changed by anonymous

Replying to kutjara:

OK, the kernel I used is in the unstable Debian branch, so I'm hoping whatever's wrong will be fixed before it percolates through to the testing branch, but I just thought I'd add my two cents here.

A couple of new build tools came down the Debian unstable pipe today, so I installed them and tried compiling the madwifi driver again. It worked like a charm. Yippee! So all is well with this patch and the Debian 2.6.25-1 kernel.

05/06/08 09:12:26 changed by Gustavo

Anybody has tried to use this card with opensuse 11 beta 2? My opensuse 10.3 works just fine with the patched driver but i dont want to upgrade if the wireless wont work. Any comment would be appreciated. Thanks.

gus at ahivamos.net

05/06/08 18:03:50 changed by anonymous

Hi. Does someone knows if the driver ath5k present in kernel 2.6.25.1 support this card? 168c:001c (rev 01)

Thanks.

05/07/08 03:03:58 changed by rmhmpt@gmail.com

Hello guys

Just to let you know I'm using Kubuntu 8.04 with KDE 4.0 on a Packard Bell EasyNote? MX-61. I've been struggling with the wifi board (it's the famous AR5007EG) and tried out the patched version 3366. It worked fined and am now, as we speak, inputing this information through wireless! ;) I'm using the 32bit Kubuntu version. Just to let you know. And to give you my thanks! And to add one more laptop to the list.

05/07/08 07:07:17 changed by mrenzmann

We would like to thank all participants in their submissions of successful results. We now know that the patched 3366 version works on most of the recent linux distribution releases.

In order to maintain a smaller page size for this ticket, we would like to request that all submissions be related to a deficiency of the patched source code, or a possible improvement to the package.

Thank you for all your input and successes.

Thanks to "John Elsman" for his help with the wording of the statement above.

(follow-up: ↓ 160 ) 05/09/08 01:09:03 changed by adrian

I am sorry to keep adding on this looong thread but, are there any plans to have this patch ported to the main version of the driver ? I only ask because I am a newbie and these kind of things keep other people I know and myself away from Linux. I for one don't know how to apply the 3366 patch to my machine , an HP 6810 with Ubuntu 8.04 on it and am forced to boot lovely Vista every time I need wireless.

(in reply to: ↑ 159 ) 05/09/08 03:40:04 changed by rmhmpt@gmail.com

Mail me your doubts Adrian, I'll explain what you need to know

05/09/08 04:13:41 changed by jordy.vassily@gmail.com

Hello: I've made everything to install r3366 on my laptop Lenovo R61 but does not work at all. I cannot scan any wireless network. This release of MadWifi isn't supported in my laptop. Truly sorry, everything else works, even the fingerprint reader. No compatibility on Ubuntu Hardy 8.04... Anyone had success with this scenario? Thanks a lot.

(follow-up: ↓ 163 ) 05/10/08 09:13:19 changed by pa4tim@amsat.org

ASUS pro71S laptop. Kubuntu Hardy, worked very well with madwifi until the first kubuntu updates arrived. Now i lost my wifi again.

Fred

(in reply to: ↑ 162 ) 05/10/08 21:23:56 changed by made

Does anyone know if the driver and the patch, can put the card in monitor mode, or is this a problem. I have tried with no sucess.Please,answere me.

05/13/08 11:31:55 changed by anonymous

I'm using this driver with my card successfully since a lot of months, produced heavy traffic on that interface. and using a lot of connections with bittorent, and what i can say its stable.

05/14/08 16:37:42 changed by anonymous

Hi.

I have a "TP-Link WN310G Cardbus Card" here and have no luck to make it work with the patches from this trac entry.

MadWifi: unable to attach hardware: 'No hardware present or device not yet supported' (HAL status 1)

My output from ath_info:

 -==Device Information==-
MAC Version:  2425  (0xf0)
MAC Revision: 2425  (0xf0)
PHY Revision: 5110  (0x00)
 -==EEPROM Information==-
EEPROM Version:     5.3
EEPROM Size:        16K
Regulatory Domain:  0x809C
 -==== Capabilities ====-
|  802.11a Support: no   |
|  802.11b Support: no   |
|  802.11g Support: yes  |
|  RFKill  Support: no   |
|  32KHz   Crystal: no   |
 ========================
GPIO registers: CR 00000000 DO 00000000 DI 00000014

lspci -vvnn:

03:00.0 Ethernet controller [0200]: Atheros Communications Inc. Device [168c:001d] (rev 01)
        Subsystem: Atheros Communications Inc. Device [168c:1055]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0 (2500ns min, 7000ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 90000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

Any hints? Thanks in advance.

05/18/08 09:05:03 changed by mwg@mwg.dp.ua

There is madwifi-eeepc-source_0.9.4+r3366-1_i386.deb at eeepc.debian.net/pool/non-free/m/madwifi-eeepc/ which is installable by module-assistant in Debian/Ubuntu. It would be nice to rebase it back to r2756 and give off to us poor Atheros users :>

(in reply to: ↑ 168 ) 05/19/08 07:06:27 changed by mrenzmann

Replying to anonymous:

At the very least, if the 168c:001c is detected, the current drivers should not attempt to load.

So that users with AR5006-based cards will have no working driver, too? Obviously a bad idea.

However, a solution is on its way, one that will be available for all supported architectures and will be integrated well in MadWifi (no more patching required). It's been worked on very hard, to get rid of a few last bugs before the solution is made available. Please be patient for a little longer.

(follow-up: ↓ 176 ) 05/24/08 04:35:51 changed by anonymous

I wish to add my thanks for all your hard work. The latest kernels, 2.6.25, have the build fail with an skb error. There is a patch at madwifi.org/ticket/1935 but it doesn't compile with either r2756 or r3366. (I added a comment there as well.)

Again, many thanks for all the work you've done for all of us.

(in reply to: ↑ 174 ) 05/25/08 03:38:36 changed by anonymous

Replying to anonymous:

I wish to add my thanks for all your hard work. The latest kernels, 2.6.25, have the build fail with an skb error. There is a patch at madwifi.org/ticket/1935 but it doesn't compile with either r2756 or r3366. (I added a comment there as well.) Again, many thanks for all the work you've done for all of us.

Sorry, I mistyped last night. I meant the 2.6.26 kernel.

Thanks

05/30/08 21:44:42 changed by wahjava@gmail.com

Hi all,

There is a good news. I'm able to use this wifi chipset, in my Gentoo GNU/Linux (amd64/hardened) box, in the native linux kernel driver mode. No ndiswrapper thingie required.

I'm that hal recently (on 28th May, 2008) posted by sam in his public_html directory at people.freebsd.org. I just replaced that hal with the madwifi's hal and now I'm running fine with no issues.

HTTP URL: people.freebsd.org/~sam/ath_hal-20080528.tgz

The site is unreachable at the moment on IPv4 internet, so I downloaded it by connecting to it over an IPv6 tunnel.

Hope to see a blob-free driver soon.

06/04/08 09:24:55 changed by proski

  • status changed from new to assigned.
  • owner set to proski.

The tarball referenced in the previous comment does not include any "patch from Sam". It doesn't even include any patches attached to this ticket. Nor would it download any patches. It's just a snapshot from Subversion with HAL replaced. But install.sh would permanently remove ndiswrapper with all configuration files, which is highly irresponsible. Please be careful about running software not hosted at madwifi.org and referenced by unregistered users.

06/04/08 14:29:01 changed by mrenzmann

Official snapshots which include the new HAL v0.10.5.6 are available for download here.

06/04/08 15:03:55 changed by schmolle

I'm create packages for openSUSE:10.3 and openSUSE:11.0 see :

http://download.opensuse.org/repositories/home:/schmolle1980/

[madwifi-r3698+AR5007EG]

Thanks for good news

06/05/08 03:55:26 changed by proski

  • status changed from assigned to closed.
  • resolution set to duplicate.

It's turning into a soapbox despite all pleas to use regular support channels. I'm closing this bug as a duplicate of #1192. Please report any problems specific to the new HAL to the mailing lists. Any general questions, including compile problems that exist in the trunk, are not welcome here.

06/07/08 07:17:05 changed by mentor

  • status changed from closed to reopened.
  • resolution deleted.

06/07/08 07:19:58 changed by mentor

  • status changed from reopened to closed.
  • resolution set to invalid.
  • summary changed from Support for AR2425 (AR5007EG) chipset to Patch for AR2425 (AR5007EG) chipset.

Sorry, changing resolution.

This ticket concerns a patch for AR2425 support that is no longer relevant. The issue will be further handled in #1192.

I imagine further posts will probably be swiftly deleted.

06/12/08 22:03:08 changed by proski

The problem with sysctl was fixed r2814. Using obsolete snapshots means that problems fixed in later revisions will come up. Nobody is going to fix the snapshots, and the testing results are irrelevant at this point. Please stop posting in this ticket.

06/15/08 13:24:49 changed by anonymous

As this ticket will be found by people doing google searches on the card, the note to see ticket 1192 and links to the working snapshot should probably go in the note at the top. Otherwise, I suspect many people will read the summary and download the now somewhat out of date 2756 snapshot.

06/16/08 02:20:25 changed by proski

That's the whole point. Those who cannot read the whole ticket will comment here rather than pollute more useful tickets. Anyway, the long term solution is a release. Snapshots cannot be supported for general public. And tickets are not the place to ask for personal support.

06/22/08 02:25:04 changed by mentor

  • description changed.

06/22/08 02:30:45 changed by mentor

  • attachment I-did-not-read-the-ticket_madwifi-ng-r3365.ar2425.20080227.i386.patch added.

Atheros' AR2425 patch modified for SVN head (r3365)

06/22/08 02:32:54 changed by mentor

  • attachment I-did-not-read-the-ticket_madwifi-ng-0933.ar2425.20071130.i386.patch added.

Support AR5007EG (AR2425) chipset (32-bits x86 only)

06/22/08 02:35:44 changed by mentor

  • attachment I-did-not-read-the-ticket_madwifi-eee-2.6.24.patch added.

Changesets 2759, 2795, 2796, 2814, 2815, 2981, 3317, 3318 and 3319

(follow-up: ↓ 242 ) 07/09/08 12:48:29 changed by anonymous

It worked !
My notebook is Fujitsu Siemens Amilo Pa2548
with Atheros AR5007EG:

03:00.0 Ethernet controller [0200]:
Atheros Communications Inc. AR242x 802.11aless PCI Express Adapter [168c:001c] (rev 01)
Subsystem: Atheros Communications Inc. Unknown device [168c:3067]

Dmesg:

ath_hal: 0.10.2.2-ATHEROS (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425)
ath_pci: 0.9.4.5 (svn r2756)
ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [LK1E] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:03:00.0 to 64
ath_pci: switching rfkill capability off
ath_rate_sample: 1.2 (svn r2756)
ath_pci: switching per-packet transmit power control off
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP

Kernel 2.6.23-gentoo-r8
Kernel is built with full set of modules ieee80211 (without debug)

"madwifi-ng-r2756-20071018.tar.gz" patched with "I-did-not-read-the-ticket_madwifi-ng-0933.ar2425.20071130.i386.patch"

(in reply to: ↑ 240 ) 07/12/08 16:14:32 changed by mentor

Replying to anonymous:

"madwifi-ng-r2756-20071018.tar.gz" patched with "I-did-not-read-the-ticket_madwifi-ng-0933.ar2425.20071130.i386.patch"

Just... Speechless...

08/20/08 20:56:36 changed by James Black

i followed the instructions and were able to get wireless workign on my laptop with the madwifi driver. i have a toshiba p205d-s7438 amd x64 in hardy heron. i did it using "madwifi-hal-0.10.5.6-r3835-20080801" i didn't have the restricted drivers before doing this. im using gnomes network manager and not wcid. i dont not use a patch. i hope this helps someone else.

08/20/08 20:58:24 changed by James Black

forgot to mention i have the Atheros 5007EG.

08/24/08 05:19:23 changed by [mad]Berry

11/28/08 11:46:14 changed by onee

thank's I will try this driver

12/28/08 22:43:50 changed by proski

  • keywords deleted.
  • cc deleted.
  • pending changed.

11/17/09 15:15:07 changed by junkert.ferenc@gmail.com

Hi, on ubuntu with kernel 2.6.28-16-generic #55-Ubuntu SMP Tue Oct 20 19:48:32 UTC 2009 x86_64 GNU/Linux. I have make the install steps, following the Madwifi first Steps guide. I tried install the driver like madberry's instructions, but working not. Any help? (If i know good, the right installed driver would be "Official snapshots which include the new HAL v0.10.5.6")